<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: SCUART Exported Constants</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#groups">Modules</a> &#124;
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle"><div class="title">SCUART Exported Constants<div class="ingroups"><a class="el" href="../../d8/dcc/group___n_a_n_o1_x2___device___driver.html">NANO102/112 Device Driver</a> &raquo; <a class="el" href="../../d4/d38/group___n_a_n_o1_x2___s_c_u_a_r_t___driver.html">SCUART Driver</a></div></div></div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Collaboration diagram for SCUART Exported Constants:</div>
<div class="dyncontent">
<div class="center"><img src="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.png" border="0" usemap="#ada_2d40_2group______n__a__n__o1__x2______s__c__u__a__r__t______e__x__p__o__r__t__e__d______c__o__n__s__t__a__n__t__s" alt=""/></div>
</div>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="groups" name="groups"></a>
Modules</h2></td></tr>
<tr class="memitem:df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s"><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../df/dae/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html">SCUART Exported Functions</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga927460a86a8ed68229d40fc736eb251e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga927460a86a8ed68229d40fc736eb251e">SCUART_CHAR_LEN_5</a>&#160;&#160;&#160;(0x3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:ga927460a86a8ed68229d40fc736eb251e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad3e1ba09b345b595b586d88e51d066ab"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad3e1ba09b345b595b586d88e51d066ab">SCUART_CHAR_LEN_6</a>&#160;&#160;&#160;(0x2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:gad3e1ba09b345b595b586d88e51d066ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2a9c3dd4955ab26494e773c07d79652a"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2a9c3dd4955ab26494e773c07d79652a">SCUART_CHAR_LEN_7</a>&#160;&#160;&#160;(0x1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td></tr>
<tr class="separator:ga2a9c3dd4955ab26494e773c07d79652a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga44414b8c1a7255a01135a0e19d4509cc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga44414b8c1a7255a01135a0e19d4509cc">SCUART_CHAR_LEN_8</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga44414b8c1a7255a01135a0e19d4509cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ba056464dc172c46a8c0def775d099c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga4ba056464dc172c46a8c0def775d099c">SCUART_PARITY_NONE</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae0528c45dfb7a7a074fc1d6f74dd561c">SC_UACTL_PBDIS_Msk</a>)</td></tr>
<tr class="separator:ga4ba056464dc172c46a8c0def775d099c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga78fd700049b5b8202a03a8bd57ed102f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga78fd700049b5b8202a03a8bd57ed102f">SCUART_PARITY_ODD</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#acd439b3f7f6abc430f9196ef18a00f86">SC_UACTL_OPE_Msk</a>)</td></tr>
<tr class="separator:ga78fd700049b5b8202a03a8bd57ed102f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2989fb7bc931875fa232c75de71c4e55"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2989fb7bc931875fa232c75de71c4e55">SCUART_PARITY_EVEN</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:ga2989fb7bc931875fa232c75de71c4e55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2cf4a4b7772b91908d7d50fd88b56b93"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2cf4a4b7772b91908d7d50fd88b56b93">SCUART_STOP_BIT_1</a>&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a06ffeb93634ff42d4af4db99ffb7003e">SC_CTL_SLEN_Msk</a>)</td></tr>
<tr class="separator:ga2cf4a4b7772b91908d7d50fd88b56b93"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaad4c40f7ebe7db0653beb72ae2c5a80f"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../da/d40/group___n_a_n_o1_x2___s_c_u_a_r_t___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaad4c40f7ebe7db0653beb72ae2c5a80f">SCUART_STOP_BIT_2</a>&#160;&#160;&#160;(0)</td></tr>
<tr class="separator:gaad4c40f7ebe7db0653beb72ae2c5a80f"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Macro Definition Documentation</h2>
<a id="ga927460a86a8ed68229d40fc736eb251e" name="ga927460a86a8ed68229d40fc736eb251e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga927460a86a8ed68229d40fc736eb251e">&#9670;&nbsp;</a></span>SCUART_CHAR_LEN_5</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CHAR_LEN_5&#160;&#160;&#160;(0x3ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART word length to 5 bits </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00032">32</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gad3e1ba09b345b595b586d88e51d066ab" name="gad3e1ba09b345b595b586d88e51d066ab"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gad3e1ba09b345b595b586d88e51d066ab">&#9670;&nbsp;</a></span>SCUART_CHAR_LEN_6</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CHAR_LEN_6&#160;&#160;&#160;(0x2ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART word length to 6 bits </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00033">33</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga2a9c3dd4955ab26494e773c07d79652a" name="ga2a9c3dd4955ab26494e773c07d79652a"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2a9c3dd4955ab26494e773c07d79652a">&#9670;&nbsp;</a></span>SCUART_CHAR_LEN_7</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CHAR_LEN_7&#160;&#160;&#160;(0x1ul &lt;&lt; <a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a549f0054eb5411f21e8466ea7cdc4242">SC_UACTL_DATA_LEN_Pos</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART word length to 7 bits </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00034">34</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga44414b8c1a7255a01135a0e19d4509cc" name="ga44414b8c1a7255a01135a0e19d4509cc"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga44414b8c1a7255a01135a0e19d4509cc">&#9670;&nbsp;</a></span>SCUART_CHAR_LEN_8</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_CHAR_LEN_8&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART word length to 8 bits </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00035">35</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga2989fb7bc931875fa232c75de71c4e55" name="ga2989fb7bc931875fa232c75de71c4e55"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2989fb7bc931875fa232c75de71c4e55">&#9670;&nbsp;</a></span>SCUART_PARITY_EVEN</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_PARITY_EVEN&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART transfer with even parity </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00039">39</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga4ba056464dc172c46a8c0def775d099c" name="ga4ba056464dc172c46a8c0def775d099c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga4ba056464dc172c46a8c0def775d099c">&#9670;&nbsp;</a></span>SCUART_PARITY_NONE</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_PARITY_NONE&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#ae0528c45dfb7a7a074fc1d6f74dd561c">SC_UACTL_PBDIS_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART transfer with no parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00037">37</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga78fd700049b5b8202a03a8bd57ed102f" name="ga78fd700049b5b8202a03a8bd57ed102f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga78fd700049b5b8202a03a8bd57ed102f">&#9670;&nbsp;</a></span>SCUART_PARITY_ODD</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_PARITY_ODD&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#acd439b3f7f6abc430f9196ef18a00f86">SC_UACTL_OPE_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART transfer with odd parity <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00038">38</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="ga2cf4a4b7772b91908d7d50fd88b56b93" name="ga2cf4a4b7772b91908d7d50fd88b56b93"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ga2cf4a4b7772b91908d7d50fd88b56b93">&#9670;&nbsp;</a></span>SCUART_STOP_BIT_1</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_STOP_BIT_1&#160;&#160;&#160;(<a class="el" href="../../da/d91/_nano1_x2_series_8h.html#a06ffeb93634ff42d4af4db99ffb7003e">SC_CTL_SLEN_Msk</a>)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART transfer with one stop bit <br  />
 </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00041">41</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
<a id="gaad4c40f7ebe7db0653beb72ae2c5a80f" name="gaad4c40f7ebe7db0653beb72ae2c5a80f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#gaad4c40f7ebe7db0653beb72ae2c5a80f">&#9670;&nbsp;</a></span>SCUART_STOP_BIT_2</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">#define SCUART_STOP_BIT_2&#160;&#160;&#160;(0)</td>
        </tr>
      </table>
</div><div class="memdoc">
<p >Set SCUART transfer with two stop bits </p>

<p class="definition">Definition at line <a class="el" href="../../dc/d0b/scuart_8h_source.html#l00042">42</a> of file <a class="el" href="../../dc/d0b/scuart_8h_source.html">scuart.h</a>.</p>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:33 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
